from rest_framework import permissions, viewsets
from moods.api.serializers import MoodSerializer
from moods.models import Mood


class MoodViewSet(viewsets.ModelViewSet):
    queryset = Mood.objects.all().order_by("-created")
    serializer_class = MoodSerializer
    permission_classes = [permissions.IsAuthenticated]
